VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Appliance::System::Version::VersionStruct Class Reference
Inheritance diagram for Com::Vmware::Appliance::System::Version::VersionStruct:

## Avaliable Methods
public method | get_product ()
public method | set_version ()
public method | set_type ()
public method | set_build ()
public method | get_build ()
public method | set_install_time ()
public method | set_releasedate ()
public method | get_summary ()
public method | get_releasedate ()
public method | set_summary ()
public method | get_install_time ()
public method | new ()
public method | get_version ()
public method | get_type ()
public method | set_product ()

## Detailed Description

`Com::Vmware::Appliance::System::Version::VersionStruct` class Structure representing appliance version information.

## Member Function Documentation

public method Com::Vmware::Appliance::System::Version::VersionStruct::get_build | ( |  | ) |

Gets the value of 'build' property.

Return values

  build | - The current value of the field. Appliance build number. String#

Code:
click to view
# Number of lines of code in get_build: 4
sub get_build {
my ($self, %args) = @_;
return $self->{'build'};
}

public method Com::Vmware::Appliance::System::Version::VersionStruct::get_install_time | ( |  | ) |

Gets the value of 'install_time' property.

Return values

  install_time | - The current value of the field. Display the date and time when this system was first installed. Value will not change on subsequent updates. String#

Code:
click to view
# Number of lines of code in get_install_time: 4
sub get_install_time {
my ($self, %args) = @_;
return $self->{'install_time'};
}

public method Com::Vmware::Appliance::System::Version::VersionStruct::get_product | ( |  | ) |

Gets the value of 'product' property.

Return values

  product | - The current value of the field. Appliance name. String#

Code:
click to view
# Number of lines of code in get_product: 4
sub get_product {
my ($self, %args) = @_;
return $self->{'product'};
}

public method Com::Vmware::Appliance::System::Version::VersionStruct::get_releasedate | ( |  | ) |

Gets the value of 'releasedate' property.

Return values

  releasedate | - The current value of the field. Release date of patch (empty string, if the appliance has not been patched) String#

Code:
click to view
# Number of lines of code in get_releasedate: 4
sub get_releasedate {
my ($self, %args) = @_;
return $self->{'releasedate'};
}

public method Com::Vmware::Appliance::System::Version::VersionStruct::get_summary | ( |  | ) |

Gets the value of 'summary' property.

Return values

  summary | - The current value of the field. Summary of patch (empty string, if the appliance has not been patched) String#

Code:
click to view
# Number of lines of code in get_summary: 4
sub get_summary {
my ($self, %args) = @_;
return $self->{'summary'};
}

public method Com::Vmware::Appliance::System::Version::VersionStruct::get_type | ( |  | ) |

Gets the value of 'type' property.

Return values

  type | - The current value of the field. Type of product. Same product can have different deployment options, which is represented by type. String#

Code:
click to view
# Number of lines of code in get_type: 4
sub get_type {
my ($self, %args) = @_;
return $self->{'type'};
}

public method Com::Vmware::Appliance::System::Version::VersionStruct::get_version | ( |  | ) |

Gets the value of 'version' property.

Return values

  version | - The current value of the field. Appliance version. String#

Code:
click to view
# Number of lines of code in get_version: 4
sub get_version {
my ($self, %args) = @_;
return $self->{'version'};
}

public method Com::Vmware::Appliance::System::Version::VersionStruct::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Appliance::System::Version::VersionStruct structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 28
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{version} = $args{'version'};
$self->{product} = $args{'product'};
$self->{build} = $args{'build'};
$self->{type} = $args{'type'};
$self->{summary} = $args{'summary'};
$self->{releasedate} = $args{'releasedate'};
$self->{install_time} = $args{'install_time'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Appliance::System::Version::VersionStruct');
$self->set_binding_name('name' => 'com.vmware.appliance.system.version.version_struct');
$self->set_binding_field('key' => 'version', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'product', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'build', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'type', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'summary', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'releasedate', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'install_time', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Appliance::System::Version::VersionStruct::set_build | ( |  | ) |

Sets the given value for 'build' property.

Parameters

  build | - New value for the field. Appliance build number.

Code:
click to view
# Number of lines of code in set_build: 5
sub set_build {
my ($self, %args) = @_;
$self->{'build'} = $args{'build'};
return;
}

public method Com::Vmware::Appliance::System::Version::VersionStruct::set_install_time | ( |  | ) |

Sets the given value for 'install_time' property.

Parameters

  install_time | - New value for the field. Display the date and time when this system was first installed. Value will not change on subsequent updates.

Code:
click to view
# Number of lines of code in set_install_time: 5
sub set_install_time {
my ($self, %args) = @_;
$self->{'install_time'} = $args{'install_time'};
return;
}

public method Com::Vmware::Appliance::System::Version::VersionStruct::set_product | ( |  | ) |

Sets the given value for 'product' property.

Parameters

  product | - New value for the field. Appliance name.

Code:
click to view
# Number of lines of code in set_product: 5
sub set_product {
my ($self, %args) = @_;
$self->{'product'} = $args{'product'};
return;
}

public method Com::Vmware::Appliance::System::Version::VersionStruct::set_releasedate | ( |  | ) |

Sets the given value for 'releasedate' property.

Parameters

  releasedate | - New value for the field. Release date of patch (empty string, if the appliance has not been patched)

Code:
click to view
# Number of lines of code in set_releasedate: 5
sub set_releasedate {
my ($self, %args) = @_;
$self->{'releasedate'} = $args{'releasedate'};
return;
}

public method Com::Vmware::Appliance::System::Version::VersionStruct::set_summary | ( |  | ) |

Sets the given value for 'summary' property.

Parameters

  summary | - New value for the field. Summary of patch (empty string, if the appliance has not been patched)

Code:
click to view
# Number of lines of code in set_summary: 5
sub set_summary {
my ($self, %args) = @_;
$self->{'summary'} = $args{'summary'};
return;
}

public method Com::Vmware::Appliance::System::Version::VersionStruct::set_type | ( |  | ) |

Sets the given value for 'type' property.

Parameters

  type | - New value for the field. Type of product. Same product can have different deployment options, which is represented by type.

Code:
click to view
# Number of lines of code in set_type: 5
sub set_type {
my ($self, %args) = @_;
$self->{'type'} = $args{'type'};
return;
}

public method Com::Vmware::Appliance::System::Version::VersionStruct::set_version | ( |  | ) |

Sets the given value for 'version' property.

Parameters

  version | - New value for the field. Appliance version.

Code:
click to view
# Number of lines of code in set_version: 5
sub set_version {
my ($self, %args) = @_;
$self->{'version'} = $args{'version'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/System/Version.pm